<?php
session_start();
require('../Operaciones/Sentencias_Estadistica.php');
if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
}else {
	session_start();
	session_destroy();
	header('location: ../index.php?error=acceso');
}
$L_Mun= json_encode($_POST['Lista']);
$Anio=$_POST['Anio'];

$Esta_Basica= new Estadistica_C();
$dato=$Esta_Basica->Estadistica($L_Mun, $Anio);
$Lista_D=[];
$Cont=0;
while ($row=$dato->fetch_assoc()){	$Lista_D[$Cont]=array('Nombre'=>$row['nombre'],'Mov'=>$row['Mov'],'Ene'=>$row['Ene'],'Feb'=>$row['Feb'],'Mar'=>$row['Mar'],'Abr'=>$row['Abr'],'May'=>$row['May'],'Jun'=>$row['Jun'],'Jul'=>$row['Jul'],'Ags'=>$row['Ags'],'Sep'=>$row['Sep'],'Oct'=>$row['Oct'],'Nov'=>$row['Nov'],'Dic'=>$row['Dic'],'Anio'=>$row['Anio']);
	$Cont++;
}

function List_Ver($Lista){
	echo '<table><tbody><thead><tr><th width="14%">Municipio</th><th width="7%">Año</th><th width="6%">Ene</th><th width="6%">Feb</th><th width="7%">Mar</th><th width="6%">Abr</th><th width="7%">May</th><th width="5%">Jun</th><th width="5%">Jul</th><th width="6%">Ags</th><th width="6%">Sep</th><th width="6%">Oct</th><th width="7%">Nov</th><th width="6%">Dic</th><th width="6%">Tot</th></tr></thead>';
	foreach($Lista as $Val=>$key) {		
	echo '<tr><td>'.$key['Nombre'].'</td><td>'.$key['Anio'].'</td><td>'.$key['Ene'].'</td><td>'.$key['Feb'].'</td><td>'.$key['Mar'].'</td><td>'.$key['Abr'].'</td><td>'.$key['May'].'</td><td>'.$key['Jun'].'</td><td>'.$key['Jul'].'</td><td>'.$key['Ags'].'</td><td>'.$key['Sep'].'</td><td>'.$key['Oct'].'</td><td>'.$key['Nov'].'</td><td>'.$key['Dic'].'</td><td>'.$key['Mov'].'</td></tr>';
	}
    echo '</tbody></table>';
}
$Lista = json_encode($Lista_D);

?>
<head>
<meta charset="utf-8">
<html>
<script type="text/javascript">
	let Lista_2 =JSON.parse('<?php echo $Lista; ?>'); 
	let Anio_2=<?php echo $Anio ?>;
	let Ene_2=[];
	let Feb_2=[];
	let Mar_2=[];
	let Abr_2=[];
	let May_2=[];
	let Jun_2=[];
	let Jul_2=[];
	let Ags_2=[];
	let Sep_2=[];
	let Oct_2=[];
	let Nov_2=[];
	let Dic_2=[];
      google.charts.load('current', {'packages':['line']});
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {
        let data = new google.visualization.DataTable();
		  data.addColumn('string', 'Meses - Año ' + Anio_2);
		  for (let Reg =0; Reg < (Lista_.length); Reg++ )
			  {
				  data.addColumn('number', Lista_[Reg]['Nombre']);
				  Ene_2[Reg]=parseInt(Lista_2[Reg]['Ene']);
				  Feb_2[Reg]=parseInt(Lista_2[Reg]['Feb']);
				  Mar_2[Reg]=parseInt(Lista_2[Reg]['Mar']);
				  Abr_2[Reg]=parseInt(Lista_2[Reg]['Abr']);
				  May_2[Reg]=parseInt(Lista_2[Reg]['May']);
				  Jun_2[Reg]=parseInt(Lista_2[Reg]['Jun']);
				  Jul_2[Reg]=parseInt(Lista_2[Reg]['Jul']);
				  Ags_2[Reg]=parseInt(Lista_2[Reg]['Ags']);
				  Sep_2[Reg]=parseInt(Lista_2[Reg]['Sep']);
				  Oct_2[Reg]=parseInt(Lista_2[Reg]['Oct']);
				  Nov_2[Reg]=parseInt(Lista_2[Reg]['Nov']);
				  Dic_2[Reg]=parseInt(Lista_2[Reg]['Dic']);
			  }
		  Ene_2.unshift('Ene');
		  Feb_2.unshift('Feb');
		  Mar_2.unshift('Mar');
		  Abr_2.unshift('Abr');
		  May_2.unshift('May');
		  Jun_2.unshift('Jun');
		  Jul_2.unshift('Jul');
		  Ags_2.unshift('Ags');
		  Sep_2.unshift('Sep');
		  Oct_2.unshift('Oct');
		  Nov_2.unshift('Nov');
		  Dic_2.unshift('Dic');
      data.addRows([
        Ene_2,Feb_2,Mar_2,Abr_2,May_2,Jun_2,Jul_2,Ags_2,Sep_2,Oct_2,Nov_2,Dic_2
      ]);

      let options = {
        chart: {
          title: 'Gráfica de expedición de Guías '+' Datos del Año '+Anio_2,
          subtitle: 'Cantidad de folios por mes'
        },
        width: 955,
        height: 370
      };

      let chart = new google.charts.Line(document.getElementById('Graf_X2'));

      chart.draw(data, google.charts.Line.convertOptions(options));
	  }

    </script>
<body>
  <div id="Graf_X2"></div>
</body>
</html>
